Soft-delete the current account
import requests
url = "https://api.13-215-85-171.sslip.io/v1/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)curl --request DELETE \
--url https://api.13-215-85-171.sslip.io/v1/account \
--header 'Authorization: Bearer <token>'{
"success": true,
"scheduled_hard_delete_at": "2023-11-07T05:31:56Z"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "Verify your email before using self-serve API routes",
"code": "email_not_verified",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Account
Soft-delete the current account
Dormant during the private-beta key-only e2e. This route returns
feature_unavailable unless NULLSPACE_SELF_SERVE_AUTH_ENABLED=true
is set. When enabled, it soft-deletes the authenticated account, revokes
active keys, and schedules hard delete after the retention window.
DELETE
/
v1
/
account
Soft-delete the current account
import requests
url = "https://api.13-215-85-171.sslip.io/v1/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)curl --request DELETE \
--url https://api.13-215-85-171.sslip.io/v1/account \
--header 'Authorization: Bearer <token>'{
"success": true,
"scheduled_hard_delete_at": "2023-11-07T05:31:56Z"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "Verify your email before using self-serve API routes",
"code": "email_not_verified",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}